nthread.h File Reference

Provides very basic thread handling. More...

`#include <pthread.h>`
`#include <sched.h>`
`#include "regina-core.h"`

## Classes

class | regina::NMutex
| A mutual exclusion device (mutex) used to ensure that different threads do not interfere when working with the same data. More...
class | regina::NMutex::MutexLock
| A utility class for locking and unlocking a mutex. More...
class | regina::NThread
| Provides very basic thread handling. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef pthread_t | regina::NThreadID
| The type used for a thread identifier. More...

## Detailed Description

Provides very basic thread handling.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).